

/*      Alliance CAD System 2.0                                   */
/*        FITPATH Package 0.0                                     */
/*                                                                */
/*  Author  :      Jean-Paul CHAPUT                               */
/*  E-mail  :  cao-vlsi@masi.ibp.fr                               */
/* ************************************************************** */
/*  Header  :  "dgnVVV.h"                                         */



#ifndef _DGN_
#define _DGN_
#define        C_DPLIMITS_MAXSLICE        128
#define        C_INV_NBDRIVE       4
#define        C_OR2_NBDRIVE       2
#define        C_NOR2_NBDRIVE       2
#define        C_OR3_NBDRIVE       2
#define        C_NOR3_NBDRIVE       2
#define        C_AND2_NBDRIVE       2
#define        C_NAND2_NBDRIVE       2
#define        C_AND3_NBDRIVE       2
#define        C_NAND3_NBDRIVE       2
#define        C_XOR2_NBDRIVE       1
#define        C_XNOR2_NBDRIVE       1
extern       char *Dgn_DispatchInv();
extern       char *Dgn_DispatchOr2();
extern       char *Dgn_DispatchNor2();
extern       char *Dgn_DispatchOr3();
extern       char *Dgn_DispatchNor3();
extern       char *Dgn_DispatchAnd2();
extern       char *Dgn_DispatchNand2();
extern       char *Dgn_DispatchAnd3();
extern       char *Dgn_DispatchNand3();
extern       char *Dgn_DispatchXor2();
extern       char *Dgn_DispatchXnor2();
extern       char *Dgn_DispatchNor2mask();
extern       char *Dgn_DispatchXnor2mask();
extern       char *Dgn_DispatchNand2mask();
extern       char *Dgn_DispatchNmux2cs();
extern       char *Dgn_DispatchMux2cs();
extern       char *Dgn_DispatchMux3cd();
extern       char *Dgn_DispatchNbuse();
extern       char *Dgn_DispatchBuse();
extern       char *Dgn_DispatchPdfft();
#endif
